<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->

<ng-select
  name="subtype"
  (ngModelChange)="onSubtypeSelectionChanged($event)"
  [(ngModel)]="subtype"
  [compareWith]="compareByIdFn"
  [searchable]="true"
  [clearable]="!mandatory"
  [multiple]="false"
  [notFoundText]="commonMessages.NOT_FOUND"
  [required]="mandatory"
  [placeholder]="placeholder"
  [disabled]="disabled">

  <ng-option
    *ngFor="let subtype of subtypeList"
    [value]="subtype">
    <app-smart-shrink
      [text]="subtype.name | namePipe">
    </app-smart-shrink>
  </ng-option>

</ng-select>
